#include	<avr/io.h>
#include	<avr/interrupt.h>

void	eeprom_write_byte(unsigned int address, unsigned char data)
{
	while(EECR & (1<<EEWE));	

	cli();
	EEAR = address;
	EEDR = data;
			
	EECR |= (1<<EEMWE);
	EECR |= (1<<EEWE);
	sei();
}

unsigned char	eeprom_read_byte(unsigned int address)
{
	while(EECR & (1<<EEWE));	
	EEAR = address;
	EECR |= (1<<EERE);
	
	return EEDR;
}
