#include	<stdio.h>
#include	<string.h>
#include	<avr/io.h>
#include	<avr/interrupt.h>
#include	"lcd.h"
#include	"rpm.h"

//  :   ȣ ̺
#define	AC	PB7
#define	BD	PB6
#define	MOTOR_PORT	PORTB
#define	MOTOR_DDR	DDRB
#define	CLAER	(MOTOR_PORT & 0x3F)

//   ũ 
#define	MOTOR_FOREWARD	(MOTOR_PORT = (MOTOR_PORT & CLAER) | 1<<AC)
#define	MOTOR_BACKWARD	(MOTOR_PORT = (MOTOR_PORT & CLAER) | 1<<BD)
#define	MOTOR_STOP		(MOTOR_PORT = (MOTOR_PORT & CLAER) | 1<<AC | 1<<BD)

// OCR1  A/D ȯ   
ISR(ADC_vect)
{	OCR1A = ADC;	}

//-------------- main() Լ ------------------------------
int	main(void)
{	char	lcd_string[2][MAX_LCD_STRING];

	LCD_init();				// LCD ʱȭ
	ICP1_input_capture_init();	// ICP1  Է ĸó ʱȭ
	TCNT1_PWM_10bit_init();		// Ÿ̸/ī1 10bit OC1A PWM ʱȭ

	MOTOR_DDR |= 1<<AC | 1<<BD;		//   Ʈ AC, BD   

	// ADC Ȱȭ, ADC ͷƮ Ȱȭ,  , A/D , Ϸ CPU ֺ=64
	ADCSRA |= 1<<ADEN | 1<<ADIE | 1<<ADSC | 6;
	sei();

	sprintf(lcd_string[0], " < RPM Display > ");
	LCD_str_write(0, 0, lcd_string[0]);
	
	MOTOR_BACKWARD;
	while(1){
		while(timer1);
		
		ADCSRA |= 1<<ADIE | 1<<ADSC;		// A/D ȯ 

		sprintf(lcd_string[1], "PWM:%-4d RPM:%-3d ", OCR1A,(int)rpm); // PWM, rpm 
		LCD_str_write(1, 0, lcd_string[1]);
	}
}
