#include	<avr/io.h>
#include	<avr/interrupt.h>

#define	DELAY_IN_ISR

#ifdef	DELAY_IN_ISR
#else
volatile	unsigned	int	req=1;
#endif

void	delay(volatile long count)
{	for(; count>0; count--);	}	

ISR(INT0_vect)
{
#ifdef	DELAY_IN_ISR
	delay(1000);
#else
	req = 0;
#endif
}

int	main(void)
{
	EIMSK |= 1<<INT0;	// INT0 Ȱȭ
	EICRA = 0x0;		// LOW϶  ͷƮ
	PORTD |= 1<<INT0;	//   Ǯ 
	DDRA |= 1<<PA0;		// PA0  
	sei();				//  ͷƮ Ȱȭ
	
	while(1){
#ifdef	DELAY_IN_ISR
#else
		if(!req){
			delay(1000);
			req = 1;
		}
#endif
		delay(200);
		PORTA ^= 1<<PA0;
	}
	
	return 0;
}
